Name: rs
Version: 1.13
Release: alt1
Source: %name-%version.tar.gz
URL: http://www.freebsd.org/cgi/cvsweb.cgi/src/usr.bin/%name
Packager: Fr. Br. George <george@altlinux.ru>
Summary: Reshape a data array
License: BSD
Group: Text tools
# cvs -d freebsdanoncvs@anoncvs.FreeBSD.org:/home/ncvs co rs 
# DSA key fingerprint is 52:02:38:1a:2f:a8:71:d3:f5:83:93:8d:aa:00:6f:65.
# cvs status 
# ...
# File: rs.c           Status: Up-to-date
# Working revision:    1.13


%description
The rs utility reads the standard input, interpreting each line as a row of blank-separated entries in an array, transforms the array according to the options, and writes it on the standard output.  With no arguments it transforms stream input into a columnar format convenient for terminal viewing.

%prep
%setup

%build
cc -D'__FBSDID(x)=' -O2 %name.c -o %name

%install
mkdir -p %buildroot%_bindir %buildroot%_man1dir
install -s -m755 %name %buildroot%_bindir/
install %name.1 %buildroot%_man1dir/

%files
%_bindir/%name
%_man1dir/%name.*

%changelog
* Thu Nov 08 2007 Fr. Br. George <george@altlinux.ru> 1.13-alt1
- Initial build for ALT


